OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Typedefs | Enumerations | Variables
tile_type.h File Reference

Types related to tiles. More...

Go to the source code of this file.

## Typedefs
typedef uint32 | TileIndex
| The index/ID of a Tile.

## Enumerations
enum | TileType { MP_CLEAR, MP_RAILWAY, MP_ROAD, MP_HOUSE, MP_TREES, MP_STATION, MP_WATER, MP_VOID, MP_INDUSTRY, MP_TUNNELBRIDGE, MP_OBJECT }
| The different types of tiles. More...
enum | TropicZone { TROPICZONE_NORMAL = 0, TROPICZONE_DESERT = 1, TROPICZONE_RAINFOREST = 2 }
| Additional infos of a tile on a tropic game. More...

## Variables
static const uint | TILE_SIZE = 16
| Tile size in world coordinates.
static const uint | TILE_UNIT_MASK = TILE_SIZE - 1
| For masking in/out the inner-tile world coordinate units.
static const uint | TILE_PIXELS = 32
| Pixel distance between tile columns/rows in #ZOOM_LVL_BASE.
static const uint | TILE_HEIGHT = 8
| Height of a height level in world coordinate AND in pixels in #ZOOM_LVL_BASE.
static const uint | MAX_BUILDING_PIXELS = 200
| Maximum height of a building in pixels in #ZOOM_LVL_BASE. (Also applies to "bridge buildings" on the bridge floor.)
static const uint | MAX_TILE_HEIGHT = 255
| Maximum allowed tile height.
static const uint | MIN_MAX_HEIGHTLEVEL = 15
| Lower bound of maximum allowed heightlevel (in the construction settings)
static const uint | DEF_MAX_HEIGHTLEVEL = 30
| Default maximum allowed heightlevel (in the construction settings)
static const uint | MAX_MAX_HEIGHTLEVEL = MAX_TILE_HEIGHT
| Upper bound of maximum allowed heightlevel (in the construction settings)
static const uint | MIN_SNOWLINE_HEIGHT = 2
| Minimum snowline height.
static const uint | DEF_SNOWLINE_HEIGHT = 15
| Default snowline height.
static const uint | MAX_SNOWLINE_HEIGHT = (MAX_TILE_HEIGHT - 2)
| Maximum allowed snowline height.
static const TileIndex | INVALID_TILE = (TileIndex)-1
| The very nice invalid tile marker.

## Detailed Description

Types related to tiles.

Definition in file tile_type.h.

## Enumeration Type Documentation

enum TileType

The different types of tiles.

Each tile belongs to one type, according whatever is build on it.

Note
  A railway with a crossing street is marked as MP_ROAD.

Enumerator:

  MP_CLEAR | A tile without any structures, i.e. grass, rocks, farm fields etc.
  MP_RAILWAY | A railway.
  MP_ROAD | A tile with road (or tram tracks)
  MP_HOUSE | A house by a town.
  MP_TREES | Tile got trees.
  MP_STATION | A tile of a station.
  MP_WATER | Water tile.
  MP_VOID | Invisible tiles at the SW and SE border.
  MP_INDUSTRY | Part of an industry.
  MP_TUNNELBRIDGE | Tunnel entry/exit and bridge heads.
  MP_OBJECT | Contains objects such as transmitters and owned land.

Definition at line 40 of file tile_type.h.

enum TropicZone

Additional infos of a tile on a tropic game.

The tropiczone is not modified during gameplay. It mainly affects tree growth. (desert tiles are visible though)

In randomly generated maps: TROPICZONE_DESERT: Generated everywhere, if there is neither water nor mountains (TileHeight >= 4) in a certain distance from the tile. TROPICZONE_RAINFOREST: Generated everywhere, if there is no desert in a certain distance from the tile. TROPICZONE_NORMAL: Everywhere else, i.e. between desert and rainforest and on sea (if you clear the water).

In scenarios: TROPICZONE_NORMAL: Default value. TROPICZONE_DESERT: Placed manually. TROPICZONE_RAINFOREST: Placed if you plant certain rainforest-trees.

Enumerator:

  TROPICZONE_NORMAL | Normal tropiczone.
  TROPICZONE_DESERT | Tile is desert.
  TROPICZONE_RAINFOREST | Rainforest tile.

Definition at line 69 of file tile_type.h.